> ## Documentation Index
> Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Video Generation Task Status



## OpenAPI

````yaml /api-reference/video/generation/api/openapi.json GET /v1/query/video_generation
openapi: 3.1.0
info:
  title: MiniMax API
  description: MiniMax video generation and file management API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.minimax.io
security:
  - bearerAuth: []
paths:
  /v1/query/video_generation:
    get:
      tags:
        - Video
      summary: Query Video Generation Task
      operationId: queryVideoGenerationTask
      parameters:
        - name: task_id
          in: query
          required: true
          description: >-
            The task ID to query. Only tasks created under the current account
            can be queried.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryVideoGenerationTaskResp'
components:
  schemas:
    QueryVideoGenerationTaskResp:
      type: object
      properties:
        task_id:
          type: string
          description: The queried task ID.
        status:
          $ref: '#/components/schemas/VideoProcessStatus'
        file_id:
          type: string
          description: >-
            Returned when the task succeeds. Represents the file ID of the
            generated video.
        video_width:
          type: integer
          description: >-
            Returned when the task succeeds. The width of the generated video
            (in pixels).
        video_height:
          type: integer
          description: >-
            Returned when the task succeeds. The height of the generated video
            (in pixels).
        base_resp:
          $ref: '#/components/schemas/QueryVideoGenerationTaskBaseResp'
      example:
        task_id: '176843862716480'
        status: Success
        file_id: '176844028768320'
        video_width: 1920
        video_height: 1080
        base_resp:
          status_code: 0
          status_msg: success
    VideoProcessStatus:
      type: string
      enum:
        - Preparing
        - Queueing
        - Processing
        - Success
        - Fail
      description: |-
        The current status of the task. Possible values:
        - `Preparing` – Preparing
        - `Queueing` – In queue
        - `Processing` – Generating
        - `Success` – Completed successfully
        - `Fail` – Failed
    QueryVideoGenerationTaskBaseResp:
      type: object
      properties:
        status_code:
          type: integer
          description: |-
            The status codes are as follows:
            - `0`, Request successful;
            - `1002`,  Rate limit triggered, retry later
            - `1004`, Authentication failed, check API Key
            - `1026`, Contains sensitive content in the input
            - `1027`, Contains sensitive content in the generated video

             For more information, please refer to the [Error Code Reference](/api-reference/errorcode).
        status_msg:
          type: string
          description: Status message. Returns `success` when successful.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        `HTTP: Bearer Auth`

        - Security Scheme Type: http

        - HTTP Authorization Scheme: `Bearer API_key`, can be found in [Account
        Management>API
        Keys](https://platform.minimax.io/user-center/basic-information/interface-key).

````